pair_info Struct Reference

A base pair info structure. More...

## Data Fields

unsigned | i
| nucleotide position i
unsigned | j
| nucleotide position j
float | p
| Probability.
float | ent
| Pseudo entropy for .
short | bp [8]
| Frequencies of pair_types.
char | comp
| 1 iff pair is in mfe structure

## Detailed Description

A base pair info structure.

For each base pair (i,j) with i,j in [0, n-1] the structure lists:

- its probability 'p'
- an entropy-like measure for its well-definedness 'ent'
- the frequency of each type of pair in 'bp[]'
  - 'bp[0]' contains the number of non-compatible sequences
  - 'bp[1]' the number of CG pairs, etc.

The documentation for this struct was generated from the following file:

- /home/mescalin/ronny/WORK/ViennaRNA/H/data_structures.h